#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull uroni/urbackup-server:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep urBackup | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=urBackup \
	--net=host \
	--cap-add SYS_ADMIN \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/urBackup/database:/var/urbackup:rw \
	-v /share/Docker/urBackup/log:/var/log:rw \
	-v /share/Docker/urBackup/wwwdata:/usr/share/urbackup:rw \
	-v /share/UrBackups:/backups:rw \
	-v /share:/NASshared:rw \
	--restart unless-stopped \
	uroni/urbackup-server:latest


docker start urBackup


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep uroni/urbackup-server | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
